path: /build/build/libX11-x11-libs-1.8.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ppc-aix -test -x86-winnt" emerge x11-libs/libX11 -pv -t && \
    USE="-doc -ppc-aix -test -x86-winnt" emerge -j ${JOBS} --nodeps x11-libs/libX11
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libX11 && luet-portage --dir /pkgdir/libX11
    x11-libs/libX11 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:585bf1f5fdb635ea9d0790179fad69c19fd4e9f72011291f6bdc272e4cc627a9
  package:
    name: libX11
    version: 1.8.7
    category: x11-libs
    use_flags:
    - -doc
    - -ppc-aix
    - -test
    - -x86-winnt
    requires:
    - name: compose-tables
      version: '>=0'
      category: x11-misc
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: X.Org X11 library
    uri:
    - https://www.x.org/wiki/ https://gitlab.freedesktop.org/xorg/lib/libX11
    license: MIT
    buildtimestamp: 2024-02-24 23:45:45.499546699 +0000 UTC m=+2603.834265670
    labels:
      BDEPEND: test? ( dev-lang/perl ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4 ppc-aix? ( >=sys-devel/libtool-2.2.6a
        sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0 ) x86-winnt?
        ( >=sys-devel/libtool-2.2.6a sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0
        ) virtual/pkgconfig doc? ( doc? ( || ( app-text/asciidoc dev-ruby/asciidoctor
        ) app-text/xmlto app-doc/doxygen app-text/docbook-xml-dtd:4.1.2 app-text/docbook-xml-dtd:4.2
        app-text/docbook-xml-dtd:4.3 ) )
      DEPEND: '>=x11-libs/libxcb-1.11.1 x11-misc/compose-tables !<xfce-base/xfce4-settings-4.16.3
        x11-base/xorg-proto x11-libs/xtrans'
      IUSE: test static-libs doc
      RDEPEND: '>=x11-libs/libxcb-1.11.1 x11-misc/compose-tables !<xfce-base/xfce4-settings-4.16.3'
      emerge.packages: x11-libs/libX11
      kit: geaaru-kit
      original.package.name: x11-libs/libX11
      original.package.slot: "0"
      original.package.version: 1.8.7
    treedir: /build/packages
  package_dir: /pkgdir/libX11
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 50a6461417e35e941ff23c63d0f389a3dc6aaf0bff035599027fa019ba20e4be
compressiontype: zstd
files:
- usr/include/X11/ImUtil.h
- usr/include/X11/XKBlib.h
- usr/include/X11/Xcms.h
- usr/include/X11/Xlib-xcb.h
- usr/include/X11/Xlib.h
- usr/include/X11/XlibConf.h
- usr/include/X11/Xlibint.h
- usr/include/X11/Xlocale.h
- usr/include/X11/Xregion.h
- usr/include/X11/Xresource.h
- usr/include/X11/Xutil.h
- usr/include/X11/cursorfont.h
- usr/include/X11/extensions/XKBgeom.h
- usr/lib64/libX11-xcb.so
- usr/lib64/libX11-xcb.so.1
- usr/lib64/libX11-xcb.so.1.0.0
- usr/lib64/libX11.so
- usr/lib64/libX11.so.6
- usr/lib64/libX11.so.6.4.0
- usr/lib64/pkgconfig/x11-xcb.pc
- usr/lib64/pkgconfig/x11.pc
- usr/share/X11/XErrorDB
- usr/share/X11/Xcms.txt
- usr/share/man/man5/Compose.5.bz2
- usr/share/man/man5/XCompose.5
- var/db/pkg/x11-libs/libX11-1.8.7/BDEPEND
- var/db/pkg/x11-libs/libX11-1.8.7/BUILD_TIME
- var/db/pkg/x11-libs/libX11-1.8.7/CATEGORY
- var/db/pkg/x11-libs/libX11-1.8.7/CBUILD
- var/db/pkg/x11-libs/libX11-1.8.7/CFLAGS
- var/db/pkg/x11-libs/libX11-1.8.7/CHOST
- var/db/pkg/x11-libs/libX11-1.8.7/CONTENTS
- var/db/pkg/x11-libs/libX11-1.8.7/COUNTER
- var/db/pkg/x11-libs/libX11-1.8.7/CXXFLAGS
- var/db/pkg/x11-libs/libX11-1.8.7/DEFINED_PHASES
- var/db/pkg/x11-libs/libX11-1.8.7/DEPEND
- var/db/pkg/x11-libs/libX11-1.8.7/DESCRIPTION
- var/db/pkg/x11-libs/libX11-1.8.7/EAPI
- var/db/pkg/x11-libs/libX11-1.8.7/FEATURES
- var/db/pkg/x11-libs/libX11-1.8.7/HOMEPAGE
- var/db/pkg/x11-libs/libX11-1.8.7/INHERITED
- var/db/pkg/x11-libs/libX11-1.8.7/IUSE
- var/db/pkg/x11-libs/libX11-1.8.7/IUSE_EFFECTIVE
- var/db/pkg/x11-libs/libX11-1.8.7/KEYWORDS
- var/db/pkg/x11-libs/libX11-1.8.7/LDFLAGS
- var/db/pkg/x11-libs/libX11-1.8.7/LICENSE
- var/db/pkg/x11-libs/libX11-1.8.7/NEEDED
- var/db/pkg/x11-libs/libX11-1.8.7/PF
- var/db/pkg/x11-libs/libX11-1.8.7/PROVIDES
- var/db/pkg/x11-libs/libX11-1.8.7/RDEPEND
- var/db/pkg/x11-libs/libX11-1.8.7/REQUIRES
- var/db/pkg/x11-libs/libX11-1.8.7/RESTRICT
- var/db/pkg/x11-libs/libX11-1.8.7/SIZE
- var/db/pkg/x11-libs/libX11-1.8.7/SLOT
- var/db/pkg/x11-libs/libX11-1.8.7/USE
- var/db/pkg/x11-libs/libX11-1.8.7/environment.bz2
- var/db/pkg/x11-libs/libX11-1.8.7/libX11-1.8.7.ebuild
- var/db/pkg/x11-libs/libX11-1.8.7/repository
package_cacheimage: ""
runtime:
  name: libX11
  version: 1.8.7
  category: x11-libs
  use_flags:
  - -doc
  - -ppc-aix
  - -test
  - -x86-winnt
  requires:
  - name: libxcb
    version: '>=0'
    category: x11-libs
  - name: compose-tables
    version: '>=0'
    category: x11-misc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: X.Org X11 library
  uri:
  - https://www.x.org/wiki/ https://gitlab.freedesktop.org/xorg/lib/libX11
  license: MIT
  labels:
    BDEPEND: test? ( dev-lang/perl ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4 ppc-aix? ( >=sys-devel/libtool-2.2.6a
      sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0 ) x86-winnt?
      ( >=sys-devel/libtool-2.2.6a sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0
      ) virtual/pkgconfig doc? ( doc? ( || ( app-text/asciidoc dev-ruby/asciidoctor
      ) app-text/xmlto app-doc/doxygen app-text/docbook-xml-dtd:4.1.2 app-text/docbook-xml-dtd:4.2
      app-text/docbook-xml-dtd:4.3 ) )
    DEPEND: '>=x11-libs/libxcb-1.11.1 x11-misc/compose-tables !<xfce-base/xfce4-settings-4.16.3
      x11-base/xorg-proto x11-libs/xtrans'
    IUSE: test static-libs doc
    RDEPEND: '>=x11-libs/libxcb-1.11.1 x11-misc/compose-tables !<xfce-base/xfce4-settings-4.16.3'
    emerge.packages: x11-libs/libX11
    kit: geaaru-kit
    original.package.name: x11-libs/libX11
    original.package.slot: "0"
    original.package.version: 1.8.7
